> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Accepts this address suggestion as a new emergency address for Operator Connect and finishes the uploads of the numbers associated with it to Microsoft.

> Accept the validated address suggestion for this address, replacing the original values, and finish uploading the numbers associated with it to Microsoft for Operator Connect.



## OpenAPI

````yaml /openapi/source/external/addresses/address.json post /addresses/{id}/actions/accept_suggestions
openapi: 3.1.0
info:
  version: 2.0.0
  x-latency-category: responsive
  x-endpoint-cost: light
  title: Telnyx API
  description: SIP trunking, SMS, MMS, Call Control and Telephony Data Services.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
    description: Version 2.0.0 of the Telnyx API
security:
  - bearerAuth: []
tags:
  - name: Addresses
    description: >-
      Operations to work with Address records. Address records are
      emergency-validated addresses meant to be associated with phone numbers.
      They are validated for emergency usage purposes at creation time, although
      you may validate them separately with a custom workflow using the
      ValidateAddress operation separately. Address records are not usable for
      physical orders, such as for Telnyx SIM cards, please use UserAddress for
      that. It is not possible to entirely skip emergency service validation for
      Address records; if an emergency provider for a phone number rejects the
      address then it cannot be used on a phone number. To prevent records from
      getting out of sync, Address records are immutable and cannot be altered
      once created. If you realize you need to alter an address, a new record
      must be created with the differing address.
paths:
  /addresses/{id}/actions/accept_suggestions:
    post:
      tags:
        - Addresses
      summary: >-
        Accepts this address suggestion as a new emergency address for Operator
        Connect and finishes the uploads of the numbers associated with it to
        Microsoft.
      description: >-
        Accept the validated address suggestion for this address, replacing the
        original values, and finish uploading the numbers associated with it to
        Microsoft for Operator Connect.
      operationId: acceptAddressSuggestions
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
            format: uuid
          description: The UUID of the address that should be accepted.
      requestBody:
        required: false
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AcceptSuggestionsRequest'
            example:
              id: string
      responses:
        '200':
          description: This address suggestion has already been accepted.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddressSuggestionResponse'
              example:
                data:
                  accepted: false
                  id: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                  record_type: address_suggestion
        '202':
          description: >-
            This address suggestion was accepted. The numbers associated to it
            will resume processing in the background.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddressSuggestionResponse'
        '404':
          description: Address not found or not accessible by the user.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResourceNotFoundError'
              example:
                errors:
                  - code: '10005'
                    title: Resource not found
                    detail: The requested resource or URL could not be found.
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            const response = await client.addresses.actions.acceptSuggestions(
              '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
            );

            console.log(response.data);
        - lang: Python
          source: |
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            response = client.addresses.actions.accept_suggestions(
                address_uuid="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
            print(response.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.Addresses.Actions.AcceptSuggestions(\n\t\tcontext.TODO(),\n\t\t\"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\",\n\t\ttelnyx.AddressActionAcceptSuggestionsParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.addresses.actions.ActionAcceptSuggestionsParams;

            import
            com.telnyx.sdk.models.addresses.actions.ActionAcceptSuggestionsResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    ActionAcceptSuggestionsResponse response = client.addresses().actions().acceptSuggestions("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            response =
            telnyx.addresses.actions.accept_suggestions("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")


            puts(response)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $response = $client->addresses->actions->acceptSuggestions(
                '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', id: 'id'
              );

              var_dump($response);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx addresses:actions accept-suggestions \
              --api-key 'My API Key' \
              --address-uuid 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e
components:
  schemas:
    AcceptSuggestionsRequest:
      type: object
      properties:
        id:
          type: string
          description: The ID of the address.
    AddressSuggestionResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            accepted:
              type: boolean
              description: Indicates if the address suggestions are accepted.
            id:
              type: string
              format: uuid
              description: The UUID of the location.
            record_type:
              type: string
              enum:
                - address_suggestion
    ResourceNotFoundError:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
                description: Error code identifying the error type.
              detail:
                type: string
                description: A human-readable explanation of the error.
              meta:
                type: object
                properties:
                  url:
                    type: string
                    format: uri
                    description: A URL to the detailed documentation for the error.
              title:
                type: string
                description: A short, human-readable summary of the problem.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````